### Method

# EDataCal IntervalTree insert

since: 2.32

#### Declaration [src]

    gboolean
    e_intervaltree_insert (
      EIntervalTree* tree,
      time_t start,
      time_t end,
      ECalComponent* comp
    )

#### Description

No description available.

Available since: 2.32

#### Parameters

`start`

  Type: `time_t`

  Start of the interval.

`end`

  Type: `time_t`

  End of the interval.

`comp`

  Type: `ECalComponent`

  Component.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

No description available.